#ifndef __NETWORK_H
#define __NETWORK_H

#if defined (__XTENSA__)
#include <DNSServer.h>
#include <ESP8266WiFi.h>
#include <WiFiManager.h>
#include <WiFiUdp.h>
#include <ArduinoOTA.h>
#include <FSSensor.h>
#include <time.h>
#include <config.h>

class network {
private:
        String header;
        WiFiServer *server;
        WiFiManager wifimanager;
	tm zeit;
public:
        network();
        void begin();
	void testNet();
        void handleWeb(FSSensor *sensor);
        void handleOTA();
	void StoreTimeLastRead();
	String twodigit(int number);
};
#endif
#endif
